<?php



namespace Supportingcast;

use Exception;

class ScPlans {

	private $data;

	public function __get($property)
	{
		if (isset($this->data->$property)) {
			return $this->data->$property;
		}
		return $this->$property;
	}

	public function fetch()
	{
		$api = new Api();

		$api->get('plans');

		if ($api->success()) {
			$this->data = $api->getBody()->data;
			return;
		}
		throw new Exception($api->getErrorMsg());
	}

	public function getFreePublicPlans()
	{
		return array_filter($this->data, function($plan): bool {
			return (bool) $plan->free && (bool) $plan->live;
		});
	}




}